cloudstack-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "ASF GitHub Bot (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (CLOUDSTACK-9462) Systemd packaging for Ubuntu 16.04
Date Mon, 22 Aug 2016 23:03:20 GMT

    [ https://issues.apache.org/jira/browse/CLOUDSTACK-9462?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15431756#comment-15431756
] 

ASF GitHub Bot commented on CLOUDSTACK-9462:
--------------------------------------------

Github user jburwell commented on the issue:

    https://github.com/apache/cloudstack/pull/1647
  
    @wido While I understand that it is quite old and presents maintenance challenges, it
remains supported until [April 2017](https://wiki.ubuntu.com/Releases).  Therefore, it would
be reasonable for users to expect us to continue to support it until EOL.  I have opened conversation
on dev@ and user@ in an effort to determine the impact (if any) to users post 4.9.  
    
    In the meantime, would it be possible to split this PR into Ubuntu 16.04 support and removal
of Ubuntu 12.04 support?  If we decide to remove it, I propose that we introduce it in the
4.10.x release.  Not only is 4.9 an LTS branch, it doesn't seem reasonable to drop support
for a distribution in a patch release (i.e. 4.9.0.0 supports Ubuntu 12.04 and 4.9.1.0 does
not).  Conversely, Ubuntu 16.04 support seems like a worthy addition to LTS.  Splitting these
two issues will provide the flexibility to implement such removal of Ubuntu 12.04 in 4.10.x
and the addition of Ubuntu 16.04 in 4.9.x+.  Does this approach seem reasonable?


> Systemd packaging for Ubuntu 16.04
> ----------------------------------
>
>                 Key: CLOUDSTACK-9462
>                 URL: https://issues.apache.org/jira/browse/CLOUDSTACK-9462
>             Project: CloudStack
>          Issue Type: Bug
>      Security Level: Public(Anyone can view this level - this is the default.) 
>            Reporter: Rohit Yadav
>            Assignee: Rohit Yadav
>             Fix For: 4.10.0, 4.9.1
>
>
> Support for building deb packages that will work on Ubuntu 16.04



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message